# Title screen class

import pygame
from pygame.locals import *

import tools, parameters, Button, levels

class Title:
    """Title screen"""
    title = 'title screen'
    enties = []
    buttons = []

    def __init__(self):
            title_text = Button.Font(None, (250, 50), \
                                     32, 'AL 101: A Braitenberg vehicle game.')

            info = Button.Font(None, (250, 100), 18, 'Bert does not like the light. He will move away from them when sensed.')

            hint = Button.Font(None, (250, 150), 18, 'Hint: drag the red lights into Bert\'s path.')
            start_button = Button.Button((400, 500), 'Start')
            start_button.action = tools.change_level, levels.get_level(0)

            self.enties.append(start_button)
            self.enties.append(title_text)
            self.enties.append(info)
            self.enties.append(hint)

            self.buttons.append(start_button)
            
            

    def init_draw(self):
        for ent in self.enties:
            ent.draw()

    def clicked(self, pos):
        for but in self.buttons:
            but.check_clicked(pos)

    def unclicked(self, pos):
        pass
    def update(self):
        pass
        

        

        
