# Wall class

import pygame
from pygame.locals import *

import tools

class Wall(pygame.sprite.Sprite):
    """Wall class"""


    def __init__(self, init_rect, color):
        init_rect = Rect(init_rect)
        
        pygame.sprite.Sprite.__init__(self)

        self.image, self.rect = tools.get_solid(init_rect.size, color)

        self.rect.topleft = init_rect.topleft 

    def collide(self, sprite):
        return self.rect.colliderect(sprite.get_col_rect())

        

        
